﻿using SushiBarContracts.Attributes;
using SushiBarDataModels;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SushiBarContracts.ViewModels
{
    public class ClientViewModel : IClientModel
    {
        [Column(visible: false)]
        public int Id { get; set; }

        [Column(title: "ФИО клиента", width: 250)]
        public string ClientFIO { get; set; } = string.Empty;

        [Column(title: "Логин (эл. почта)", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string Email { get; set; } = string.Empty;

        [Column(title: "Пароль", width: 100)]
        public string Password { get; set; } = string.Empty;
    }
}
